Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 592118 - can't find repodata files listed in jigdo templates
can't find repodata files listed in jigdo templates
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: releng (Show other bugs)
6.0
All Linux
high Severity high
: beta
: ---
Assigned To: Dennis Gregorovic
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-13 18:24 EDT by Nate Straz
Modified: 2010-11-11 11:23 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 11:23:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nate Straz 2010-05-13 18:24:17 EDT
Description of problem:

I tried creating the ISOs from jigdo files for the recent tree RHEL6.0-20100512.0 and was unable to because files are missing.

[nstraz@shell jigdo]$ pwd
/mnt/redhat/rel-eng/RHEL6.0-20100512.0/6/Workstation/x86_64/jigdo

Generate the ISO from local files, 9 files missing:

[nstraz@shell jigdo]$ jigdo-file mi -j RHEL6.0-20100512.0-Workstation-x86_64-DVD1.jigdo -t RHEL6.0-20100512.0-Workstation-x86_64-DVD1.template  -i /tmp/RHEL6.0-20100512.0-Workstation-x86_64-DVD1.iso ../os
Found 3612 of the 3621 files required by the template                          
Copied input files to temporary file `/tmp/RHEL6.0-20100512.0-Workstation-x86_64-DVD1.iso.tmp' - repeat command and supply more files to continue

Files jigdo thinks are missing:

[nstraz@shell jigdo]$ jigdo-file  pm -j RHEL6.0-20100512.0-Workstation-x86_64-DVD1.jigdo -t RHEL6.0-20100512.0-Workstation-x86_64-DVD1.template  -i /tmp/RHEL6.0-20100512.0-Workstation-x86_64-DVD1.iso ../os --uri OS=
repodata/repomd.xml
repodata/dfd8b8be812565e090fe696c3e8ee9411923ab5cb58c8c44c5882a0d640c44d1-primary.xml.gz
repodata/f5053ee68d0e14c90a20e017a449b95a01a35e1324396aa56e37a04e79171e5c-comps-rhel6.xml.gz
repodata/4454786fd07ad4c7fd9a58e79bd6a8ed715334ea80633dbe487b109fd3a7cea6-filelists.xml.gz
repodata/b26b45ed446e0fb61a3d792f2a2aa83a837b6f790fc79fe69bd8f193bb7baa99-other.xml.gz
repodata/638571749dac1db3b7db7f75aa620b5d95141052edb8536648109d28f83d12e3-comps-rhel6.xml
repodata/5553bf70115f40a2b980a66f0bcdb402363fdb5a747621f28c1cd5d917fe12b6-primary.sqlite.bz2
repodata/62d9619b0942e13d2fbdfeec46117ededcc58207ace9c321e2cac2dd2dc55f7e-other.sqlite.bz2
repodata/7546980b168aa110ff06ebdff2f5edba725c52086b30195615b38e2939e94a30-filelists.sqlite.bz2

File in the os/repodata directory
[nstraz@shell jigdo]$ ls ../os/repodata
00c0d96567abddfa9d33148164057aaf66aa5142c085408104dfd43a04d7685c-other.sqlite.bz2
076ecde004b34dbbdadf11df1066d338dec08abaa21cbbc9bcaf7e8ebf2563ad-primary.xml.gz
1a85bdc63fa8db80518ef4b81392ecb508ec2f1b7b2057d3c2cb9863d9f0590f-other.xml.gz
1ce51b92734f0027733551b56f69198fe6beb6d5a71435ae3ed37361384231a2-filelists.sqlite.bz2
3ef54cc30d537c1d908fd44abfffbf7d4fe4db7b6e0c3e6f81fc901be4649007-primary.sqlite.bz2
4c315c07dd44a84b09f54b8722f23055e5593e9877297e8743506f3d26d928b0-comps-rhel6-Workstation.xml
8f6c0f0355535eb6c229b249077273abf8796fabc988598bb2cbabf0adc604b9-filelists.xml.gz
c95f67cd8029c7efb989da762109af02512511566f27bc3325068a524b113fcf-comps-rhel6-Workstation.xml.gz
repomd.xml


Version-Release number of selected component (if applicable):
RHEL6.0-20100512.0

How reproducible:
I haven't checked other trees

Steps to Reproduce:
1. cd .../jigdo
2. jigdo-file make-image -j *.jigdo -t *.template -i /tmp/test.iso ../os
3. jigdo-file print-missing -j *.jigdo -t *.template -i /tmp/test.iso --uri OS=  ../os 
  
Actual results:
repodata files are missing from ISO

Expected results:
All files needed for jigdo-file make-image are in the os directory.

Additional info:
Comment 2 RHEL Product and Program Management 2010-05-13 20:04:31 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Dennis Gregorovic 2010-05-14 09:19:18 EDT
Part of the complexity here is that the the repodata in the os/ directory is intentionally different than the repodata in the ISOs.  The os/ repodata is your typical repodata.  The ISO repodata is "split" repodata, which is necessary in case we have to support CDs or if we spill over into multiple DVDs.

My plan is to create a separate OS2= label in the .jigdo files for the repodata files (and anything else that is different between the os/ and dvd dirs, though I think it's only the repodata).  This way, you can use --uri OS=../os to pull the RPMs locally while still grabbing the repodata from the server.
Comment 4 Dennis Gregorovic 2010-05-19 11:42:36 EDT
Given that we're only delivering DVDs and that we're not in (immediate) danger of spilling over a single DVD, I've checked in a change to the compose process to simply re-use the os/*/repodata directories when building the DVDs.  This will have the side-effect of fixing the .jigdo listings.
Comment 6 Alexander Todorov 2010-06-18 08:10:25 EDT
# cd /mnt/redhat/rel-eng/RHEL6.0-20100617.0/6/Server/x86_64/jigdo/
# jigdo-file make-image -j *.jigdo -t *.template -i /tmp/test.iso ../os
Found 3705 of the 3705 files required by the template                                                                                                                 
Successfully created `/tmp/test.iso'
# jigdo-file print-missing -j *.jigdo -t *.template -i /tmp/test.iso --uri OS=../os

^^ empty output. 

See also comment #5. Moving to VERIFIED.
Comment 7 releng-rhel@redhat.com 2010-11-11 11:23:48 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.